Lattice Grid Buy a licence

demo D173

Brushing a time range

Drag a range on the chart and the grid narrows to it

brush: true

Building…
Loading a live grid…

The configuration

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.27.0/lattice-grid.min.css">

<div id="app"></div>

<script type="module">
  import React from 'https://esm.sh/react@18';
  import { createRoot } from 'https://esm.sh/react-dom@18/client';
  import { createGrid } from 'https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.27.0/lattice-grid.esm.min.js';
  import createLatticeGrid from 'https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.27.0/modules/react.esm.min.js';
  import { createChart } from 'https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.27.0/modules/charts.esm.min.js';

  const LatticeGrid = createLatticeGrid({ React, createGrid });

  const columns = [
    { field: 'date', title: 'Date', type: 'dateString', layout: { pin: 'start', width: 150 } },
    { field: 'price', title: 'Price', type: 'number', format: { decimals: 2 } },
    { field: 'volume', title: 'Volume', type: 'number', format: { notation: 'compact' } },
  ];

  const rows = [/* one row a day: date, price, volume */];

  function App() {
    const gridRef = React.useRef(null);

    React.useEffect(() => {
      const grid = gridRef.current.grid;
      // brush: true lets you drag a range across the chart, and the grid narrows
      // to those days. The chart reads the live grid through the ref, so both
      // views move on one gesture.
      createChart({ grid, container: '#chart', type: 'line', x: 'date', y: 'price', brush: true,
        title: 'Price over time (brush to filter)' });
    }, []);

    return (
      <>
        <div id="chart" style={{ height: '300px' }} />
        <LatticeGrid
          ref={gridRef}
          rowKey="id"
          columns={columns}
          rows={rows}
          style={{ height: '320px', marginTop: '14px' }}
        />
      </>
    );
  }

  createRoot(document.getElementById('app')).render(<App />);
</script>

Lattice Grid Buy a licence

demo D173

Brushing a time range

Drag a range on the chart and the grid narrows to it

brush: true

Building…
Loading a live grid…

The configuration

import * as ng from '@angular/core';
import { Component, ViewChild, AfterViewInit } from '@angular/core';
import { bootstrapApplication } from '@angular/platform-browser';
import { createGrid } from '@toclocoinc/lattice-grid';
import '@toclocoinc/lattice-grid/css';
import { createChart } from '@toclocoinc/lattice-grid/modules/charts';
import createLatticeGrid from '@toclocoinc/lattice-grid/modules/angular';

const { LatticeGridComponent } = createLatticeGrid({ ng, createGrid });

const columns = [
  { field: 'date', title: 'Date', type: 'dateString', layout: { pin: 'start', width: 150 } },
  { field: 'price', title: 'Price', type: 'number', format: { decimals: 2 } },
  { field: 'volume', title: 'Volume', type: 'number', format: { notation: 'compact' } },
];

const rows = [/* one row a day: date, price, volume */];



@Component({
  selector: 'app-root',
  standalone: true,
  imports: [LatticeGridComponent],
  template:
    '<div id="chart" style="height:300px"></div>' +
    '<lattice-grid [config]="grid" style="display:block;height:320px;margin-top:14px"></lattice-grid>',
})
export class AppComponent implements AfterViewInit {
  @ViewChild(LatticeGridComponent) gridRef!: LatticeGridComponent;

  grid = {
    rowKey: 'id',
    columns: columns,
    rows: rows,
  };

  ngAfterViewInit() {
    const grid = this.gridRef.grid;
    // brush: true lets you drag a range across the chart, and the grid narrows
    // to those days. The chart reads the live grid through the ref, so both
    // views move on one gesture.
    createChart({ grid, container: '#chart', type: 'line', x: 'date', y: 'price', brush: true,
      title: 'Price over time (brush to filter)' });
  }
}

bootstrapApplication(AppComponent);